Size of bar on canvas: weird behaviour

2012-09-21 10:14 AM - Paolo Cavallini

Status: Open

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15647

Description

The View>Decorations>Scale bar>Size of bar has a strange behaviour. It allows you to change the length of the scale bar, but it is

strangely limited to two digits and will get reset if the value is not judged in the good range.

Try to input a value like 40 and zoom until 40m would be considered an acceptable value. There will be a few level of zoom where the bar

is set to 40m. Once you zoom in or zoom out too far, it will get calculated as usual.

History

#1 - 2012-09-23 11:38 AM - Magnus Homann

Yes, I also noticed it doesn't work. But I'm unsure how it should work, so I haven't fixed it. :-) Ideas?

#2 - 2012-09-24 03:00 AM - Paolo Cavallini

I'm also unsure about the intended behaviour of the option. Perhaps if specified the bar should always be of the selected length (in map units or in mm)?

#3 - 2014-06-23 08:11 AM - Paolo Cavallini

Still true on current master.

#4 - 2014-06-23 08:13 AM - Paolo Cavallini

- Subject changed from Size of bar to Size of bar on canvas: weird behaviour

#5 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#6 - 2018-02-23 07:25 PM - Paolo Cavallini

- Description updated

Still true in QGIS 3

#7 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#8 - 2019-03-09 04:14 PM - Paolo Cavallini

- Affected QGIS version changed from master to 3.6.0

- Resolution deleted (end of life)

As noted aboove, still true in 3.0, so not end of life. Please revert changes.

#9 - 2019-03-09 04:20 PM - Paolo Cavallini

- Status changed from Closed to Open

#10 - 2019-03-09 04:21 PM - Giovanni Manghi

- Status changed from Open to Closed

Paolo Cavallini wrote:

As noted aboove, still true in 3.0, so not end of life. Please revert changes.

"master" was used as possible affected version for some period for both the 2.* and 3.* branch.

The triage is being done using the ticket creation date, we are closing anything that has been filed against "master" before the July 7 2016, the day the

branch that lead to QGIS has been created.

This will likely close some ticket that should not be closed, but is for the sake of the cleanup.

#11 - 2019-03-09 04:22 PM - Giovanni Manghi

- Status changed from Closed to Open
